=pod

=head1 NAME

d2i_X509_SIG, i2d_X509_SIG - DigestInfo functions.

=head1 SYNOPSIS

 #include <openssl/x509.h>

 X509_SIG *d2i_X509_SIG(X509_SIG **a, unsigned char **pp, long length);
 int i2d_X509_SIG(X509_SIG *a, unsigned char **pp);

=head1 DESCRIPTION

These functions decode and encode an X509_SIG structure which is
equivalent to the B<DigestInfo> structure defined in PKCS#1 and PKCS#7.

Othewise these behave in a similar way to d2i_X509() and i2d_X509()
described in the L<d2i_X509(3)|d2i_X509(3)> manual page.

=head1 SEE ALSO

L<d2i_X509(3)|d2i_X509(3)>

=head1 HISTORY

TBA

=cut
